Runtime

## org.eclipse.gmf.runtime.common.ui.util
Interface IInlineTextEditorPart

public interface IInlineTextEditorPart

This interface is used to describe a workbench part that supports inline editing.

Method Summary
`StructuredViewer` `getViewer()` Gets the viewer for this part, in case the `RenameResourceAction` is to be used for inline editing.
`void` `startInlineEdit()` Start inline editing.
`void` `startInlineEdit(java.lang.Object object)` sets the selection to the passed object and starts rename
`void` `startInlineEdit(java.lang.Object object, java.lang.Runnable editingRunnable)` sets the selection to the passed object and starts the runnable to rename

Method Detail

### startInlineEdit

    public void startInlineEdit()

  Start inline editing.

### startInlineEdit

    public void startInlineEdit(java.lang.Object object)

  sets the selection to the passed object and starts rename

  Parameters:
    `object` - the object to set selection on and rename

### startInlineEdit

    public void startInlineEdit(java.lang.Object object,
                                java.lang.Runnable editingRunnable)

  sets the selection to the passed object and starts the runnable to rename

  Parameters:
    `object` - the object to set selection on and rename
    `editingRunnable` - a Runnable to invoke after setting selection on object in order to start renaming

### getViewer

    public StructuredViewer getViewer()

  Gets the viewer for this part, in case the `RenameResourceAction` is to be used for inline editing.

  Returns:
    the viewer, or `null` if there is none

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.